Eclipse JDK compliance compiler level

Hi experts,

I am using eclipse 3.2.2
What are the advantages and disadvantages if I set the JDK compliance compiler to 5.0 or 6.0?
The default value is 1.4

Thanks in advance.

Do you have what it takes to be an Expert...
and a couple of hours to prove it?

Answer a handful of technical questions per month, or write a few articles and earn FREE, unlimited access to Experts Exchange.

Learn More

201407-VQP-003

Experts Exchange powers the
growth and success of technology
professionals worldwide.

Try it Free

30 day free trial. Cancel anytime.

Learn More about How It Works

Experts Exchange powers the growth and success
of technology professionals worldwide.

  • Solve

    Experts Exchange is the tech professional’s trusted, on-demand resource for solving difficult problems, making informed decisions, and delivering excellent solutions.

  • Learn

    With unparalleled access to technical experts, verified real-world solutions, and diverse educational content, Experts Exchange enables personalized development of technology skills.

  • Network

    Experts Exchange gives you the professional exposure and valued relationships key to building the career you want.

Join the Network Today

See Plans and Pricing